%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-routerconfigs
Version:	0.3
Release:	4%{?dist}
Summary:	Backup Router Configurations

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:routerconfigs-v0.3-1.tgz
Source0:	routerconfigs-v0.3-1.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8

%description
This plugin is for the nightly backup of Router Configs

%prep
%setup -q -n routerconfigs

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/routerconfigs
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/routerconfigs
%{__install} -m0644 diff.css $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/routerconfigs
%{__cp} -rp Text images tftp-config-file $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/routerconfigs

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README routerconfigs.sql
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_datadir}/cacti/plugins/routerconfigs/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.3-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.3-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.3-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 0.3-1
- Initial rpm release.
